# Uses of Class
org.eclipse.swt.events.KeyEvent

Packages that use KeyEvent
Package
Description
org.eclipse.debug.ui
Provides a generic debugger user interface that clients may customize via standard workbench extension points.
org.eclipse.jface.bindings.keys
Provides support for bindings between commands and keys.
org.eclipse.jface.text
Provides a framework for creating and manipulating text documents.
org.eclipse.jface.text.contentassist
Provides a content assist add-on for an `ITextViewer`.
org.eclipse.jface.text.hyperlink
Provides support for detecting and displaying hyperlinks in `ISourceViewer`s.
org.eclipse.jface.text.source
Provides a framework for connecting document regions with annotations and for displaying those.
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.
org.eclipse.swt.events
SWT typed listener support.
org.eclipse.swt.widgets
SWT widget public API classes.
org.eclipse.ui.actions
Classes for actions and operations used in a workbench window, page, or part in the Eclipse Platform User Interface.
org.eclipse.ui.keys
Provides support for integrating keys into the Eclipse workbench.
org.eclipse.ui.views.navigator
Provides the standard Resource Navigator view which presents the tree of resources in the workspace.

## Uses of KeyEvent in org.eclipse.debug.ui

Methods in org.eclipse.debug.ui with parameters of type KeyEvent
Modifier and Type
Method
Description
`protected void`
AbstractDebugView.`handleKeyPressed(KeyEvent event)`
Handles key events in viewer.

## Uses of KeyEvent in org.eclipse.jface.bindings.keys

Methods in org.eclipse.jface.bindings.keys with parameters of type KeyEvent
Modifier and Type
Method
Description
`static final int`
SWTKeySupport.`convertEventToUnmodifiedAccelerator(KeyEvent event)`
Converts the given event into an SWT accelerator value -- considering the unmodified character with all modifier keys.

## Uses of KeyEvent in org.eclipse.jface.text

Methods in org.eclipse.jface.text with parameters of type KeyEvent
Modifier and Type
Method
Description
`void`
PaintManager.`keyPressed(KeyEvent e)`
`void`
PaintManager.`keyReleased(KeyEvent e)`

## Uses of KeyEvent in org.eclipse.jface.text.contentassist

Methods in org.eclipse.jface.text.contentassist with parameters of type KeyEvent
Modifier and Type
Method
Description
`void`
ContentAssistant.AutoAssistListener.`keyPressed(KeyEvent e)`

## Uses of KeyEvent in org.eclipse.jface.text.hyperlink

Methods in org.eclipse.jface.text.hyperlink with parameters of type KeyEvent
Modifier and Type
Method
Description
`void`
HyperlinkManager.`keyPressed(KeyEvent event)`
`void`
HyperlinkManager.`keyReleased(KeyEvent event)`

## Uses of KeyEvent in org.eclipse.jface.text.source

Methods in org.eclipse.jface.text.source with parameters of type KeyEvent
Modifier and Type
Method
Description
`void`
AnnotationBarHoverManager.Closer.`keyPressed(KeyEvent event)`
Deprecated.
`void`
AnnotationBarHoverManager.Closer.`keyReleased(KeyEvent event)`
Deprecated.

## Uses of KeyEvent in org.eclipse.jface.viewers

Methods in org.eclipse.jface.viewers with parameters of type KeyEvent
Modifier and Type
Method
Description
`protected void`
CellEditor.`keyReleaseOccured(KeyEvent keyEvent)`
Processes a key release event that occurred in this cell editor.
`protected void`
ComboBoxCellEditor.`keyReleaseOccured(KeyEvent keyEvent)`
`protected void`
ComboBoxViewerCellEditor.`keyReleaseOccured(KeyEvent keyEvent)`
`protected void`
TextCellEditor.`keyReleaseOccured(KeyEvent keyEvent)`
Processes a key release event that occurred in this cell editor.
Constructors in org.eclipse.jface.viewers with parameters of type KeyEvent
Modifier
Constructor
Description
``
`ColumnViewerEditorActivationEvent(ViewerCell cell, KeyEvent event)`

## Uses of KeyEvent in org.eclipse.swt.events

Subclasses of KeyEvent in org.eclipse.swt.events
Modifier and Type
Class
Description
`final class`
`TraverseEvent`
Instances of this class are sent as a result of widget traversal actions.
`final class`
`VerifyEvent`
Instances of this class are sent as a result of widgets handling keyboard events
Methods in org.eclipse.swt.events with parameters of type KeyEvent
Modifier and Type
Method
Description
`void`
KeyAdapter.`keyPressed(KeyEvent e)`
Sent when a key is pressed on the system keyboard.
`void`
KeyListener.`keyPressed(KeyEvent e)`
Sent when a key is pressed on the system keyboard.
`void`
KeyAdapter.`keyReleased(KeyEvent e)`
Sent when a key is released on the system keyboard.
`void`
KeyListener.`keyReleased(KeyEvent e)`
Sent when a key is released on the system keyboard.
Method parameters in org.eclipse.swt.events with type arguments of type KeyEvent
Modifier and Type
Method
Description
`static KeyListener`
KeyListener.`keyPressedAdapter(Consumer<KeyEvent> c)`
Static helper method to create a `KeyListener` for the `KeyListener.keyPressed(KeyEvent e)`) method with a lambda expression.
`static KeyListener`
KeyListener.`keyReleasedAdapter(Consumer<KeyEvent> c)`
Static helper method to create a `KeyListener` for the `KeyListener.keyReleased(KeyEvent e)`) method with a lambda expression.

## Uses of KeyEvent in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets with parameters of type KeyEvent
Modifier and Type
Method
Description
`boolean`
Control.`traverse(int traversal, KeyEvent event)`
Performs a platform traversal action corresponding to a `KeyDown` event.

## Uses of KeyEvent in org.eclipse.ui.actions

Methods in org.eclipse.ui.actions with parameters of type KeyEvent
Modifier and Type
Method
Description
`void`
RefreshAction.`handleKeyReleased(KeyEvent event)`
Handle the key release.

## Uses of KeyEvent in org.eclipse.ui.keys

Methods in org.eclipse.ui.keys with parameters of type KeyEvent
Modifier and Type
Method
Description
`static int`
SWTKeySupport.`convertEventToUnmodifiedAccelerator(KeyEvent event)`
Deprecated.
Converts the given event into an SWT accelerator value -- considering the unmodified character with all modifier keys.

## Uses of KeyEvent in org.eclipse.ui.views.navigator

Methods in org.eclipse.ui.views.navigator with parameters of type KeyEvent
Modifier and Type
Method
Description
`void`
MainActionGroup.`handleKeyPressed(KeyEvent event)`
Deprecated, for removal: This API element is subject to removal in a future version.
Handles a key pressed event by invoking the appropriate action, delegating to the subgroups as necessary.
`void`
RefactorActionGroup.`handleKeyPressed(KeyEvent event)`
Deprecated, for removal: This API element is subject to removal in a future version.
Handles a key pressed event by invoking the appropriate action.
`protected void`
ResourceNavigator.`handleKeyPressed(KeyEvent event)`
Deprecated, for removal: This API element is subject to removal in a future version.
Handles a key press event from the viewer.
`void`
ResourceNavigatorActionGroup.`handleKeyPressed(KeyEvent event)`
Deprecated, for removal: This API element is subject to removal in a future version.
Handles a key pressed event by invoking the appropriate action.
`void`
WorkspaceActionGroup.`handleKeyPressed(KeyEvent event)`
Deprecated, for removal: This API element is subject to removal in a future version.
Handles a key pressed event by invoking the appropriate action.
`protected void`
ResourceNavigator.`handleKeyReleased(KeyEvent event)`
Deprecated, for removal: This API element is subject to removal in a future version.
Handles a key release in the viewer.
`void`
ResourceNavigatorRenameAction.`handleKeyReleased(KeyEvent event)`
Deprecated, for removal: This API element is subject to removal in a future version.
Handle the key release